%define __kde4_alternate_placement 1

%define rname kbluetooth
Name: kde4-kbluetooth
Version: 0.4.2
Release: alt2.M51.3
%define beta %nil

Group: System/Configuration/Hardware
Summary: KDE4 Bluetooth Framework
Url: http://techbase.kde.org/Kbluetooth
#Url: http://bluetooth.kmobiletools.org/
License: GPL

Requires: bluez obex-data-server
Requires: kde4libs >= %{get_version kde4libs}
Provides: kdebluetooth4 = %version-%release
Obsoletes: kdebluetooth4 < %version-%release

Source: %rname-%version.tar.bz2
Patch1: kbluetooth-0.4-alt-save-to-home.patch
Patch2: find-knotificationitem.patch
# SuSE
Patch100: kbluetooth-bko-220145.diff

BuildRequires(pre): kde4libs-devel
BuildRequires: gcc-c++ kde4base-runtime-devel kde4base-workspace-devel
# libknotificationitem-devel

%description
The KDE Bluetooth Framework is a set of tools built on top of Linux' Bluetooth stack BlueZ.
Goal of this project is to provide easy access to the most common Bluetooth profiles
and to make data exchange with Bluetooth enabled phones and PDAs as straightforward as possible.


%prep
%setup -q -n %rname-%version
%patch1 -p1
#%patch2 -p1
%patch100 -p1


%build
%K4build

%install
%K4install
%K4find_lang --with-kde %rname

%files -f %rname.lang
%doc AUTHORS ChangeLog TODO
%ifdef __kde4_alternate_placement
%__kde4_bindir/kbluetooth
%__kde4_bindir/kbluetooth-inputwizard
%__kde4_bindir/kbluetooth-devicemanager
%__kde4_iconsdir/hicolor/*/apps/*.*
%__kde4_xdg_apps/kbluetooth.desktop
%else
%_K4bindir/kbluetooth
%_K4bindir/kbluetooth-inputwizard
%_K4bindir/kbluetooth-devicemanager
%_K4iconsdir/hicolor/*/apps/*.*
%_K4xdg_apps/kbluetooth.desktop
%endif

%changelog
* Thu Apr 22 2010 Sergey V Turchin <zerg@altlinux.org> 0.4.2-alt2.M51.3
- rebuilt with new KDE

* Wed Mar 31 2010 Sergey V Turchin <zerg@altlinux.org> 0.4.2-alt2.M51.1
- built for M51

* Wed Mar 31 2010 Sergey V Turchin <zerg@altlinux.org> 0.4.2-alt3
- rename package

* Wed Mar 31 2010 Sergey V Turchin <zerg@altlinux.org> 0.4.2-alt2
- add patch from SuSE to fix crash on send file

* Tue Mar 02 2010 Sergey V Turchin <zerg@altlinux.org> 0.4.2-alt0.M51.1
- built for M51

* Tue Mar 02 2010 Sergey V Turchin <zerg@altlinux.org> 0.4.2-alt1
- new version

* Sun Jan 31 2010 Sergey V Turchin <zerg at altlinux dot org> 0.4-alt0.2.M51.1
- built for M51

* Tue Jan 26 2010 Sergey V Turchin <zerg@altlinux.org> 0.4-alt0.3
- 0.4-RC2

* Thu Oct 01 2009 Sergey V Turchin <zerg@altlinux.org> 0.4-alt0.2
- 0.4-RC1

* Thu Sep 17 2009 Sergey V Turchin <zerg@altlinux.org> 0.4-alt0.1
- 0.4beta1a

* Fri Jul 10 2009 Sergey V Turchin <zerg@altlinux.org> 0.3-alt4
- add translations
- save received files to ~/Documents

* Thu Mar 19 2009 Sergey V Turchin <zerg at altlinux dot org> 0.3-alt3
- add some fixes from svn (enables KBlueLock)

* Mon Feb 09 2009 Sergey V Turchin <zerg at altlinux dot org> 0.3-alt2
- 0.3

* Fri Feb 06 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3-alt1.svn922288.1
- svn 922288

* Thu Sep 04 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.2-alt1
- 0.2

* Sat Aug 09 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.1-alt1
- initial build
